"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const configStore_1 = __importDefault(require("./configStore"));
exports.default = {
    saveCredentials(credentials) {
        return __awaiter(this, void 0, void 0, function* () {
            const config = yield configStore_1.default.read();
            config.tempoToken = credentials.tempoToken;
            config.accountId = credentials.accountId;
            yield configStore_1.default.save(config);
        });
    },
    getCredentials() {
        return __awaiter(this, void 0, void 0, function* () {
            const config = yield configStore_1.default.read();
            return {
                tempoToken: config.tempoToken,
                accountId: config.accountId
            };
        });
    },
    hasTempoToken() {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const config = yield configStore_1.default.read();
                return config.tempoToken !== undefined;
            }
            catch (e) {
                return false;
            }
        });
    }
};
//# sourceMappingURL=authenticator.js.map